# Class Document

- Defined in file/file.ts:37

#####
Index

### Constructors

constructor

### Accessors

AppProperties
Comments
ContentTypes
CoreProperties
CustomProperties
Document
FileRelationships
FontTable
FootNotes
Footers
Headers
Media
Numbering
Settings
Styles

## Constructors

### constructor

- new Document(options): Document

- #### Parameters

  - options: IPropertiesOptions

  #### Returns Document

  - Defined in file/file.ts:59

## Accessors

### AppProperties

- get AppProperties(): AppProperties

- #### Returns AppProperties

  - Defined in file/file.ts:284

### Comments

- get Comments(): Comments

- #### Returns Comments

  - Defined in file/file.ts:296

### ContentTypes

- get ContentTypes(): ContentTypes

- #### Returns ContentTypes

  - Defined in file/file.ts:276

### CoreProperties

- get CoreProperties(): CoreProperties

- #### Returns CoreProperties

  - Defined in file/file.ts:252

### CustomProperties

- get CustomProperties(): CustomProperties

- #### Returns CustomProperties

  - Defined in file/file.ts:280

### Document

- get Document(): DocumentWrapper

- #### Returns DocumentWrapper

  - Defined in file/file.ts:244

### FileRelationships

- get FileRelationships(): Relationships

- #### Returns Relationships

  - Defined in file/file.ts:264

### FontTable

- get FontTable(): FontWrapper

- #### Returns FontWrapper

  - Defined in file/file.ts:300

### FootNotes

- get FootNotes(): FootnotesWrapper

- #### Returns FootnotesWrapper

  - Defined in file/file.ts:288

### Footers

- get Footers(): readonly FooterWrapper[]

- #### Returns readonly FooterWrapper[]

  - Defined in file/file.ts:272

### Headers

- get Headers(): readonly HeaderWrapper[]

- #### Returns readonly HeaderWrapper[]

  - Defined in file/file.ts:268

### Media

- get Media(): Media

- #### Returns Media

  - Defined in file/file.ts:260

### Numbering

- get Numbering(): Numbering

- #### Returns Numbering

  - Defined in file/file.ts:256

### Settings

- get Settings(): Settings

- #### Returns Settings

  - Defined in file/file.ts:292

### Styles

- get Styles(): Styles

- #### Returns Styles

  - Defined in file/file.ts:248

Generated using TypeDoc